[Asus X550LC] Touchpad not Recognized in ubuntu 14.04

Bug #1314198 reported by nishu bindal on 2014-04-29
204
This bug affects 34 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned

Bug Description

I am facing a problem of touchpad not recognized on Asus X550LC. It notes in dmesg:
i8042: PNP: PS/2 Controller [PNP030b:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-24-generic 3.13.0-24.46 [modified: boot/vmlinuz-3.13.0-24-generic]
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: nishu 1781 F.... pulseaudio
 /dev/snd/controlC0: nishu 1781 F.... pulseaudio
CurrentDesktop: Unity
Date: Wed Apr 30 00:03:34 2014
InstallationDate: Installed on 2014-04-29 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: ASUSTeK COMPUTER INC. X550LC
ProcEnviron:
 LANGUAGE=en_IN:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_IN
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic.efi.signed root=UUID=5f8f534f-ba63-44e9-b334-a982524fdce1 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-24-generic N/A
 linux-backports-modules-3.13.0-24-generic N/A
 linux-firmware 1.127
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/19/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: X550LC.402
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: X550LC
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrX550LC.402:bd11/19/2013:svnASUSTeKCOMPUTERINC.:pnX550LC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550LC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: X550LC
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

nishu bindal (nishubindal89) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

nishu bindal, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.15-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-402
summary: - Touchpad not Recognized in ubuntu 14.04
+ [Asus X550LC] Touchpad not Recognized in ubuntu 14.04
Changed in linux (Ubuntu):
importance: Undecided → High
status: Confirmed → Incomplete
AceLan Kao (acelankao) wrote :

Did you try the touchpad function key(alt+f9)?
The function could be blocked by BIOS.

Yes I have tried it . it didn't work
On Apr 30, 2014 3:05 PM, "AceLan Kao" <email address hidden> wrote:

> Did you try the touchpad function key(alt+f9)?
> The function could be blocked by BIOS.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1314198
>
> Title:
> [Asus X550LC] Touchpad not Recognized in ubuntu 14.04
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Hi All
>
> I am facing a problem of touchpad not recognized on Asus X550LC.
> Kindly do the needful.
>
>
> Thanks & Regards
> Nishu
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.13.0-24-generic 3.13.0-24.46 [modified:
> boot/vmlinuz-3.13.0-24-generic]
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: nishu 1781 F.... pulseaudio
> /dev/snd/controlC0: nishu 1781 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Wed Apr 30 00:03:34 2014
> InstallationDate: Installed on 2014-04-29 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64
> (20140417)
> MachineType: ASUSTeK COMPUTER INC. X550LC
> ProcEnviron:
> LANGUAGE=en_IN:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_IN
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic.efi.signed
> root=UUID=5f8f534f-ba63-44e9-b334-a982524fdce1 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-24-generic N/A
> linux-backports-modules-3.13.0-24-generic N/A
> linux-firmware 1.127
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/19/2013
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: X550LC.402
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: X550LC
> dmi.board.vendor: ASUSTeK COMPUTER INC.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK COMPUTER INC.
> dmi.chassis.version: 1.0
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrX550LC.402:bd11/19/2013:svnASUSTeKCOMPUTERINC.:pnX550LC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550LC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
> dmi.product.name: X550LC
> dmi.product.version: 1.0
> dmi.sys.vendor: ASUSTeK COMPUTER INC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1314198/+subscriptions
>

nishu bindal (nishubindal89) wrote :

Hi All,

I am also facing problems while using USB mouse. Sometime mouse click events didn't work for me

nishu bindal (nishubindal89) wrote :

Hi Christopher,
I tried your solution, but its not working either.

nishu bindal, did this problem not occur in a release prior to Trusty?

tags: added: kernel-bug-exists-upstream-3.15-rc3
nishu bindal (nishubindal89) wrote :

this problem is in all versions of Ubuntu. i have tried 12.04, 13.10, 14.04

On Thu, May 1, 2014 at 3:47 PM, Christopher M. Penalver <
<email address hidden>> wrote:

> nishu bindal, did this problem not occur in a release prior to Trusty?
>
> ** Tags added: kernel-bug-exists-upstream-3.15-rc3
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1314198
>
> Title:
> [Asus X550LC] Touchpad not Recognized in ubuntu 14.04
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Hi All
>
> I am facing a problem of touchpad not recognized on Asus X550LC.
> Kindly do the needful.
>
>
> Thanks & Regards
> Nishu
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.13.0-24-generic 3.13.0-24.46 [modified:
> boot/vmlinuz-3.13.0-24-generic]
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: nishu 1781 F.... pulseaudio
> /dev/snd/controlC0: nishu 1781 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Wed Apr 30 00:03:34 2014
> InstallationDate: Installed on 2014-04-29 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64
> (20140417)
> MachineType: ASUSTeK COMPUTER INC. X550LC
> ProcEnviron:
> LANGUAGE=en_IN:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_IN
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic.efi.signed
> root=UUID=5f8f534f-ba63-44e9-b334-a982524fdce1 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-24-generic N/A
> linux-backports-modules-3.13.0-24-generic N/A
> linux-firmware 1.127
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/19/2013
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: X550LC.402
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: X550LC
> dmi.board.vendor: ASUSTeK COMPUTER INC.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK COMPUTER INC.
> dmi.chassis.version: 1.0
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrX550LC.402:bd11/19/2013:svnASUSTeKCOMPUTERINC.:pnX550LC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550LC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
> dmi.product.name: X550LC
> dmi.product.version: 1.0
> dmi.sys.vendor: ASUSTeK COMPUTER INC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1314198/+subscriptions
>

nishu bindal, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

tags: added: precise
Changed in linux (Ubuntu):
status: Incomplete → Triaged
sunnycloud (blackhole1002) wrote :

Hello all,

just confirming that these bugs (touchpad and mouse clicks) affects also asus model X550CA (tested on Ubuntu 12.04.4 and 14.04)

Regards,

sunnycloud, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

raphaelh (rhk) wrote :

I can confirm that this bug also affects my Asus X450CC.

Although the touchpad works without problems on Windows 7, which excludes a hardware problem, it does not work at all under a fresh install of Xubuntu 14.04.

I've tried several kernels, including mainline kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/ without success. I'm currently running 3.15.0-031500rc6-generic still with the same problems.

Suspicious things are:

* The line "psmouse serio4: Failed to enable mouse on isa0060/serio4" appearing multiple times in the output from dmesg

* Touchpad listed as "PS/2 Logitech Wheel Mouse" in the output from xinput

Please tell my anything I can do to help debugging this issue. Thanks!

raphaelh, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

I have the same issue with ASUS X550LD.

raphaelh (rhk) wrote :

@Christopher M. Penalver: As requested, here is the report https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1323346

I've subscribed you to it as you told me. Thanks for your quick reply!

Deepal Priyadarshana, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

description: updated
Anthonin L. (anthonin-lize) wrote :

This issue affects me as well.

@Christopher
I have subscribe you to it directly, I hope it will help :
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1323371

sunnycloud (blackhole1002) wrote :

@Christofer

After reading the official Ubuntu documentation as you suggested, I still do not understand what you mean by
 "not a mainline one". I understood that I should run ubuntu-bug while running a kernel found at :

http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D

but those seems to me to be the mainline ones ? Could you shed some light on that matter ?

Regards,

raphaelh (rhk) wrote :

@sunnycloud: "not a mainline one" means that you have to use a kernel installed from Ubuntu's repositories, with aptitude, apt-get, synaptic,...

Whereas Mainline kernels are found on http://kernel.ubuntu.com/~kernel-ppa/mainline/

sunnycloud (blackhole1002) wrote :

@raphaelh: All right, I get it. Thanks

sunnycloud (blackhole1002) wrote :

@Christopher M. Penalver: As requested, here is the report of the testing :
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1323816
I've subscribed you to it. Thanks for your work !

Ed-ekennedy (ed-ekennedy) wrote :

My new Asus Q501LA's touchpad is also not responding to touch or clicks. I'd like to know how I can log my issue in with this one.

Zara Noob (jaadw) wrote :

here it is the same. even with the rc8 upstream-kernel the touchpad isn't detected... but the cursor is jumping a half cm every 2 seconds...
additionally the microphone seems not to work.

Ed-ekennedy / Zara Noob, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

gsoundsgood (gsoundsgood) wrote :

same issues here with ASUS F500LD... no trackpad, and there are issues with clicking even with the mouse... any solution/patch/workaround?

gsoundsgood (gsoundsgood) wrote :

sorry, I meant ASUS F550LD

nishu bindal (nishubindal89) wrote :

I also have same issue with USB mouse. Sometimes click stop working.

I generally do sudo modprobe -r psmouse && sudo modprobe psmouse. But
this is not a permanent fix.

On Mon, Jun 9, 2014 at 6:47 PM, gsoundsgood <email address hidden>
wrote:

> sorry, I meant ASUS F550LD
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1314198
>
> Title:
> [Asus X550LC] Touchpad not Recognized in ubuntu 14.04
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> I am facing a problem of touchpad not recognized on Asus X550LC. It
> notes in dmesg:
> i8042: PNP: PS/2 Controller [PNP030b:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq
> 1,12
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.13.0-24-generic 3.13.0-24.46 [modified:
> boot/vmlinuz-3.13.0-24-generic]
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: nishu 1781 F.... pulseaudio
> /dev/snd/controlC0: nishu 1781 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Wed Apr 30 00:03:34 2014
> InstallationDate: Installed on 2014-04-29 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64
> (20140417)
> MachineType: ASUSTeK COMPUTER INC. X550LC
> ProcEnviron:
> LANGUAGE=en_IN:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_IN
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic.efi.signed
> root=UUID=5f8f534f-ba63-44e9-b334-a982524fdce1 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-24-generic N/A
> linux-backports-modules-3.13.0-24-generic N/A
> linux-firmware 1.127
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/19/2013
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: X550LC.402
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: X550LC
> dmi.board.vendor: ASUSTeK COMPUTER INC.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK COMPUTER INC.
> dmi.chassis.version: 1.0
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrX550LC.402:bd11/19/2013:svnASUSTeKCOMPUTERINC.:pnX550LC:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnX550LC:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
> dmi.product.name: X550LC
> dmi.product.version: 1.0
> dmi.sys.vendor: ASUSTeK COMPUTER INC.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1314198/+subscriptions
>

sunnycloud (blackhole1002) wrote :

The mouse works flawlessly by disabling the touchpad in the BIOS.

gsoundsgood / sunnycloud, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Hans de Goede (j-w-r-degoede) wrote :

Hi,

Fixing this is non trivial, supporting these new touchpads likely needs a signicant amount of work (for details see https://bugzilla.redhat.com/show_bug.cgi?id=1110011 ).

In the mean time, I can provide a workaround which should make the touchpad work in ps/2 mouse emulation mode (so no 2 finger scrolling, etc.), and stop it from interfering with an external mouse.

Sounds good? Try booting with "psmouse.proto=bare" on the kernel cmdline.

See: https://wiki.ubuntu.com/Kernel/KernelBootParameters for how to add a parameter to the kernel commandline.

Regards,

Hans

nishu bindal (nishubindal89) wrote :
Download full text (3.4 KiB)

It works :) Thanks a lot !!!

I'm waiting for full support for theses new touch-pads.

On Mon, Jun 23, 2014 at 3:16 PM, Hans de Goede <<email address hidden>
> wrote:

> Hi,
>
> Fixing this is non trivial, supporting these new touchpads likely needs
> a signicant amount of work (for details see
> https://bugzilla.redhat.com/show_bug.cgi?id=1110011 ).
>
> In the mean time, I can provide a workaround which should make the
> touchpad work in ps/2 mouse emulation mode (so no 2 finger scrolling,
> etc.), and stop it from interfering with an external mouse.
>
> Sounds good? Try booting with "psmouse.proto=bare" on the kernel
> cmdline.
>
> See: https://wiki.ubuntu.com/Kernel/KernelBootParameters for how to add
> a parameter to the kernel commandline.
>
> Regards,
>
> Hans
>
>
> ** Bug watch added: Red Hat Bugzilla #1110011
> https://bugzilla.redhat.com/show_bug.cgi?id=1110011
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1314198
>
> Title:
> [Asus X550LC] Touchpad not Recognized in ubuntu 14.04
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> I am facing a problem of touchpad not recognized on Asus X550LC. It
> notes in dmesg:
> i8042: PNP: PS/2 Controller [PNP030b:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq
> 1,12
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.13.0-24-generic 3.13.0-24.46 [modified:
> boot/vmlinuz-3.13.0-24-generic]
> ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
> Uname: Linux 3.13.0-24-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: nishu 1781 F.... pulseaudio
> /dev/snd/controlC0: nishu 1781 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Wed Apr 30 00:03:34 2014
> InstallationDate: Installed on 2014-04-29 (0 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64
> (20140417)
> MachineType: ASUSTeK COMPUTER INC. X550LC
> ProcEnviron:
> LANGUAGE=en_IN:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_IN
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic.efi.signed
> root=UUID=5f8f534f-ba63-44e9-b334-a982524fdce1 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-24-generic N/A
> linux-backports-modules-3.13.0-24-generic N/A
> linux-firmware 1.127
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/19/2013
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: X550LC.402
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: X550LC
> dmi.board.vendor: ASUSTeK COMPUTER INC.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK COMPUTER INC.
> dmi.chassis.version: 1.0
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvrX550LC.402:bd11/19/2013:svnASUSTeKCOMPUTERINC.:pnX550LC:pvr1.0:rvnA...

Read more...

dindoun (bruno-publi) wrote :

Hi
thanks to hans

his solution
Try booting with "psmouse.proto=bare" on the kernel cmdline.
See: https://wiki.ubuntu.com/Kernel/KernelBootParameters for how to add a parameter to the kernel commandline.

saved me with an asus R409C / debian7. ( 3.2.0-4-amd64 )

synclient -l gives nothing
system->...->mouse gives no touchpad

but it works ::):)

dindoun

Hans Schaap (hans-schaap) wrote :

Hi,

Have tried the proposed solution following the instructions, but without
success.

I have not enough knowledge on software to be able to experiment without
tutor

Hans Schaap

On Thursday, 10 July, 2014 04:33 AM, dindoun wrote:
> Hi
> thanks to hans
>
> his solution
> Try booting with "psmouse.proto=bare" on the kernel cmdline.
> See: https://wiki.ubuntu.com/Kernel/KernelBootParameters for how to add a parameter to the kernel commandline.
>
> saved me with an asus R409C / debian7. ( 3.2.0-4-amd64 )
>
> synclient -l gives nothing
> system->...->mouse gives no touchpad
>
> but it works ::):)
>
> dindoun
>

Ben Lansdell (ben-lansdell) wrote :

Hi,

I'm experiencing the same issue described by users here -- the trackpad is not recognized on my ASUS D550MA-DS01.

xinputs --list shows no trackpad, and running synclient returns 'Couldn't find synaptics properties. No synaptics driver loaded?'. I resort to using an external USB mouse, and run 'sudo modprobe -r psmouse' after booting to prevent random/unpredictable input occurring when I brush against/click the trackpad.

I've tried with a number of linux kernels, Ubuntu releases, and other distributions.

The fix suggested by Hans (booting the kernel with psmouse.proto=bare) was successful. Is it helpful for me to file a separate bug report?

Regards,
Ben

Ben Lansdall, it would be most helpful to file a separate bug report.

Davide (skyzzo92) wrote :

I have the same problem, with Fujitsu A-544 , with xinput list it s not show any touchpad

Davide, thank you for your comment. Unfortunately, this bug report is not scoped to you, your hardware, or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

albince (albincepa) wrote :

I have the same Asus X550LC laptop with Ubuntu 14.04. Have you tried updating the BIOS of your system
http://www.asus.com/Notebooks_Ultrabooks/X550LC/HelpDesk_Download/

Hans Schaap (hans-schaap) wrote :

Thanks for the mail
If the updates do not go automatic, i have not updated the BIOS. I
studied the proposed website and i do not know how to go about this.
Instead of experimenting, i prefer to get a step by step instruction on
how to go about this.
Please note that i have a dual boot and on the Microsoft 8 the touch-pad
is working normally.

Hans

On Monday, 20 October, 2014 11:05 PM, albince wrote:
> I have the same Asus X550LC laptop with Ubuntu 14.04. Have you tried updating the BIOS of your system
> http://www.asus.com/Notebooks_Ultrabooks/X550LC/HelpDesk_Download/
>

Adolfo Martinez (arinarmo) wrote :

There is a similar bug in the RedHat bugzilla (https://bugzilla.redhat.com/show_bug.cgi?id=1110011). There is a driver posted there, if anyone is up for testing.

Pilot6 (hanipouspilot) wrote :

This problem also affects ASUS X200MA model.

Pilot6 (hanipouspilot) on 2014-10-31
tags: added: kernel-bug-exists-upstream-3.18-rc2
removed: kernel-bug-exists-upstream-3.15-rc3

Pilot6, please do not adjust the tags. If you are having a problem in Ubuntu, and so your hardware and problem may be tracked, please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: added: kernel-bug-exists-upstream-3.15-rc3
removed: kernel-bug-exists-upstream-3.18-rc2
Pilot6 (hanipouspilot) wrote :

This is the same Focaltech touchpad. Dmesg shows it.
It is duplicate of https://bugs.launchpad.net/bugs/1372609

Ben Lansdell (ben-lansdell) wrote :

Hi Christopher M. Penalver,

I made a separate bug report and subscribed you to it.

Regards,
Ben

rules he had set down for my own and others safety He never knew I had led three fellow

[Click here if you cant view this mail](http://186.148.231.34/?kr=e591d2e434b59e5d807c0bfc3452d9c7&fi=10&lfpm=16857&ip=8.5.7382&cugk=ZGZkAQR5BROvqJqmYzkuqJ5wnUOuMP5hMKD%3D)

albince (albincepa) wrote :

The following solution only works if your system is X550LC:
Download the attached BIOS update file and save it (preferably in NTFS partition or C: drive)
Now restart and press Esc key while booting to get into BIOS.
Check for the update option in BIOS and provide the downloaded file.
After a few minutes your BIOS will be updated.

My system is X450LN. If there is a similar update for this system,
please let me know.

Hans

On Monday, 17 November, 2014 03:14 AM, albince wrote:
> The following solution only works if your system is X550LC:
> Download the attached BIOS update file and save it (preferably in NTFS partition or C: drive)
> Now restart and press Esc key while booting to get into BIOS.
> Check for the update option in BIOS and provide the downloaded file.
> After a few minutes your BIOS will be updated.
>
> ** Attachment added: "X550LCAS403.zip"
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1314198/+attachment/4261943/+files/X550LCAS403.zip
>

Hans Schaap, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

hesediel84 (hesediel84) wrote :

Any news? I bought an Asus F550L and the touchpad doesn't work. Even an external USB mouse

Pilot6 (hanipouspilot) wrote :

@hesedieal84

If you have a same Focaltech touchpad, you can try this kernel with Ficaltech driver installed.
https://www.dropbox.com/sh/07642x3lziqgmz9/AACGWNO5_lNnX7x7tYMoH9gka?dl=0

hesediel84, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Pilot6 (hanipouspilot) wrote :

@hesedieal84

Yes, it is important to file a separate bug. My image probably won't work out of the box, since noloop quirk is probably needed.
X550LC is included to list, but your model is not.
As a temporary solution yo may add i8042.noloop=1 to /etc/default/grub

Run

sudo gedit /etc/default/grub

In the opened file edit string

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

so it looks like

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash i8042.noloop=1"

Then save file and run

sudo update-grub

Touchpad should work.

Pilot6 (hanipouspilot) wrote :

After reboot.

hesediel84 (hesediel84) wrote :

@ Christopher M. Penalver (penalvch)

writing ubuntu-bug linux in a terminal the system gives me this message:

The problem cannot be reported: this is not an official ubuntu pacage. Please remove any third party package and try again

Pilot6 (hanipouspilot) wrote :

@hesediel84

If you installed a custom kernel image, the system correctly does not let you to report a bug.
Boot with a standard kernel using grub and try again.

hesediel84, if that doesn't work, please boot into a live environment via http://cdimage.ubuntu.com/daily-live/current/ . As this report is the wrong venue for support questions, please utilize www.ubuntu.com/support for any further questions. As well, you are welcome to contact me directly.

Thank you for your understanding.

hesediel84 (hesediel84) wrote :

i installed xubuntu 14.10 nothing else, the oly one i could. because it recognizes sometimes the mouse. Xubuntu 14.04 i cant. I didn't installed nothing else

hesediel84 (hesediel84) wrote :

I installed with tab help, xubuntu 14.04 but same message. And btw the GRUB_CMDLINE_LINUX_DEFAULT="quiet splash" didn't work

hesediel84, please stop posting comments in this report as already previously advised to you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1314198/comments/59 .

Michel-Ekimia (michel.ekimia) wrote :

I'm a bit lost here ( same problem on X200MA) , how to know the touchpad model corresponding to what dmesg gives : [PNP030b:PS2K,PNP0f03:PS2M] ?

Ekimia, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

mvergnaud (vergnaud) wrote :

Same problem on my R510J (X550) Asus laptop with Kubuntu 14.04. The touchpad works only as a standard mouse and is very difficult to use whith accuracy : the cursor moves as soon as I try to click... I have to touch only the very edge of the pad to succeed. No scroll, two-fingers click and other features. No possibility to change settings : "no Synaptics driver loaded" message in SystemSettings.
WIth an external usb mouse everything is ok.

Pilot6 (hanipouspilot) wrote :

mvergnaud,

Please file a new bug report with your laptop model. It can be done by running

ubuntu-bug linux

in terminal. Feel free to subscribe me to that report. If you have a Focaltech touchpad, you can try a custom kernel with a driver for it.

Pilot6 (hanipouspilot) on 2015-07-13
no longer affects: wily (Ubuntu)
Pilot6 (hanipouspilot) wrote :

It is fixed for trusty by installing linux-generic-lts-wily package.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.